#include <iostream.h>
#include <conio.h>
#include <stdlib.h>
#pragma hdrstop
#include "student.h"
/*
struct  Student{
  char  Imie[15];
  char  Nazwisko[20];             
  float EgzaminMatematyka;
  float EgzaminFizyka;
  float EgzaminInformatyka;
  char JakiStudent[40];
};
*/
void StudentInfo(int, Student Info);
//---------------------------------------------------------
int main()
{
   Student Dane[3];
   int index=0;
   char buforM[5],buforF[5],buforI[5];
   clrscr();
   do {
     cout << "Imie: ";
     cin.getline(Dane[index].Imie, sizeof(Dane[index].Imie)-1);

     cout << "Nazwisko: ";
     cin.getline(Dane[index].Nazwisko,
                 sizeof(Dane[index].Nazwisko)-1);

     cout << "Egzamin Matematyka: ";
     cin.getline(buforM, sizeof(buforM)-1);
     Dane[index].EgzaminMatematyka = atof(buforM); //atof!!!


     cout << "Egzamin Fizyka: ";
     cin.getline(buforF, sizeof(buforF)-1);
     Dane[index].EgzaminFizyka = atof(buforF);

     cout << "Egzamin Informatyka: ";
     cin.getline(buforI, sizeof(buforI)-1);
     Dane[index].EgzaminInformatyka = atof(buforI);

     cout << "Opinia: ";
     cin.getline(Dane[index].JakiStudent,
                 sizeof(Dane[index].JakiStudent)-1);

     cout << endl;
     index++;
   } while (index<2);

   for (int i=0; i<2; i++)
      StudentInfo(i, Dane[i]);
   getch();
   return 0;
}
//---------------------------------------------------------
void StudentInfo(int numer, Student Info)
{
  cout << "Osoba (rekord) nr " << (numer+1) << " : " << endl;
  cout << "Imie i Nazwisko: "<< Info.Imie <<" ";
  cout << Info.Nazwisko << endl;
  cout << "Egzamin Matematyka: "
       << Info.EgzaminMatematyka << endl;
  cout << "Egzamin Fizyka: " << Info.EgzaminFizyka << endl;
  cout << "Egzamin Informatyka: "
       << Info.EgzaminInformatyka << endl;
  cout << "Opinia: " << Info.JakiStudent << endl;
}
